aboutsummaryrefslogtreecommitdiffstats
path: root/testing/multipath-tools/APKBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'testing/multipath-tools/APKBUILD')
-rw-r--r--testing/multipath-tools/APKBUILD27
1 files changed, 27 insertions, 0 deletions
diff --git a/testing/multipath-tools/APKBUILD b/testing/multipath-tools/APKBUILD
new file mode 100644
index 0000000000..e55f33116c
--- /dev/null
+++ b/testing/multipath-tools/APKBUILD
@@ -0,0 +1,27 @@
+# Contributor: Leonardo Arena <rnalrd@gmail.com>
+# Maintainer: Leonardo Arena <rnalrd@gmail.com>
+pkgname="multipath-tools"
+pkgver=0.4.8
+pkgrel=0
+pkgdesc="Device Mapper Multipathing Driver"
+url="http://christophe.varoqui.free.fr/"
+license="GPL"
+depends="uclibc device-mapper libaio readline"
+makedepends="device-mapper-dev libaio-dev readline-dev"
+install=
+subpackages="$pkgname-doc"
+source="http://christophe.varoqui.free.fr/$pkgname/$pkgname-$pkgver.tar.bz2
+ Makefile.patch"
+
+build() {
+ cd "$srcdir/$pkgname-$pkgver"
+
+ patch Makefile < ../../Makefile.patch
+ find . -name Makefile -exec sed -i -e 's/glibc/uclibc/g' {} \;
+
+ make prefix="$pkgdir/usr" sysconfdir="$pkgdir/etc" mandir="$pkgdir/usr/share/man" infodir="$pkgdir/usr/share/info" || return 1
+ make DESTDIR="$pkgdir" install
+}
+
+md5sums="3563b863b408d07c46929b6e8c2c248c multipath-tools-0.4.8.tar.bz2
+92318268d20a9622cdb9909d153c4ccd Makefile.patch"